#pragma once
#include <vector>
#include <spdlog/spdlog.h>
#include <MyGraphicsEngine/Mesh.h>
#include <MyGraphicsEngine/Transform.h>
#include <include/AssetManager/ModelImporter.h>
#include <include/MyGraphicsEngine/Buffer.h>
#include <include/MyGraphicsEngine/VertexArray.h>
class Renderable {
private:
	std::vector<BarinkEngine::Mesh> meshes;
	Renderable();
	
public:
	Buffer vertexBuffer;
	Buffer elementBuffer;
	VertexArray VAO;
	Transform transform;
	~Renderable();

	static Renderable Load();
	void Draw();

};